Create a data extraction job
curl --request POST \
--url https://api.example.com/v1/fetcher \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataRequest": {
"mappedFields": {},
"filters": {}
},
"metadata": {
"source": "<string>"
}
}
'import requests
url = "https://api.example.com/v1/fetcher"
payload = {
"dataRequest": {
"mappedFields": {},
"filters": {}
},
"metadata": { "source": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataRequest: {mappedFields: {}, filters: {}}, metadata: {source: '<string>'}})
};
fetch('https://api.example.com/v1/fetcher', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"jobId": "<string>",
"message": "<string>",
"status": "<string>"
}{
"createdAt": "2023-11-07T05:31:56Z",
"jobId": "<string>",
"message": "<string>",
"status": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Create a data extraction job
Creates and queues a data extraction job, or returns the existing job for an idempotent duplicate request.
POST
/
v1
/
fetcher
Create a data extraction job
Authorizations
JWT bearer token issued by the identity provider.
Body
application/json
Fetcher request payload.
Fields and filters to extract from configured data sources.
Show child attributes
Show child attributes
Example:
{
"mappedFields": {
"ledger": { "transactions": ["id", "amount"] }
}
}
Caller-defined metadata stored with the job; source identifies the owning product.
Show child attributes
Show child attributes
Example:
{
"correlationId": "settlement-2026-07-13",
"source": "payments"
}
Response
Duplicate request; the existing job is returned.
UTC timestamp when the job was created.
Example:
"2026-07-13T12:00:00Z"
Unique identifier of the extraction job.
Example:
"01980a89-21f0-7d7e-a109-564b5c6f53ac"
Outcome of the create request.
Example:
"Job created and queued for processing"
Current processing status of the job.
Example:
"pending"
Was this page helpful?
⌘I

